<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:16 GMT+01:00 2018 -->
<title>Joueur</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Joueur";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Joueur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/JeuDeCarte.html" title="class in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/JoueurArtificiel.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Joueur.html" target="_top">Frames</a></li>
<li><a href="Joueur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">noyau</div>
<h2 title="Class Joueur" class="title">Class Joueur</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>noyau.Joueur</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../noyau/JoueurArtificiel.html" title="class in noyau">JoueurArtificiel</a>, <a href="../noyau/JoueurHumain.html" title="class in noyau">JoueurHumain</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Joueur</span>
extends java.lang.Object</pre>
<div class="block">Classe représentant un joueur. Le joueur possède une main qu'il peut
 parcourir piocher et jouer des cartes</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#Joueur--">Joueur</a></span>()</code>
<div class="block">COnstructeur de la classe</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#creerIterator--">creerIterator</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../noyau/Carte.html" title="class in noyau">Carte</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#donnerCarte-int-">donnerCarte</a></span>(int&nbsp;indice)</code>
<div class="block">Permet de donner une carte en l'enlevant de sa main</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../noyau/Carte.html" title="class in noyau">Carte</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#getCarte-int-">getCarte</a></span>(int&nbsp;i)</code>
<div class="block">Permet d'obtenir une carte dans la main</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#getCartesEnMain--">getCartesEnMain</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#getindexcarte-noyau.Carte-">getindexcarte</a></span>(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.ListIterator&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#getIterator--">getIterator</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#getJeuxEnMain--">getJeuxEnMain</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#getNombreDeCarte--">getNombreDeCarte</a></span>()</code>
<div class="block">Permet d'obtenir le nombre de cartes en main</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#jouerCarte-noyau.Carte-noyau.Pile-">jouerCarte</a></span>(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carte,
          <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;p)</code>
<div class="block">Surcharge de la methode jouerCarte.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#jouerCarte-int-noyau.Pile-">jouerCarte</a></span>(int&nbsp;numeroDeCarte,
          <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;p)</code>
<div class="block">Permet de jouer une carte</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#parcourirMain--">parcourirMain</a></span>()</code>
<div class="block">Permet au joueur de parcouvrir sa main</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#prendreCarte-noyau.Carte-">prendreCarte</a></span>(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;cartePrise)</code>
<div class="block">Permet de prendre une carte et de l'ajouter à sa main</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../noyau/Joueur.html#setJeuxEnMain-java.util.ArrayList-">setJeuxEnMain</a></span>(java.util.ArrayList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;carteEchange)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Joueur--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Joueur</h4>
<pre>public&nbsp;Joueur()</pre>
<div class="block">COnstructeur de la classe</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="prendreCarte-noyau.Carte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prendreCarte</h4>
<pre>public&nbsp;void&nbsp;prendreCarte(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;cartePrise)</pre>
<div class="block">Permet de prendre une carte et de l'ajouter à sa main</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cartePrise</code> - </dd>
</dl>
</li>
</ul>
<a name="jouerCarte-int-noyau.Pile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jouerCarte</h4>
<pre>public&nbsp;void&nbsp;jouerCarte(int&nbsp;numeroDeCarte,
                       <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;p)</pre>
<div class="block">Permet de jouer une carte</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>l'indice</code> - de la carte dans la main du joueur</dd>
<dd><code>la</code> - pile dela partie en cours</dd>
</dl>
</li>
</ul>
<a name="jouerCarte-noyau.Carte-noyau.Pile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jouerCarte</h4>
<pre>public&nbsp;void&nbsp;jouerCarte(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carte,
                       <a href="../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;p)</pre>
<div class="block">Surcharge de la methode jouerCarte.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>la</code> - carte à jouer</dd>
<dd><code>la</code> - pile de la partie</dd>
</dl>
</li>
</ul>
<a name="parcourirMain--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parcourirMain</h4>
<pre>public&nbsp;void&nbsp;parcourirMain()</pre>
<div class="block">Permet au joueur de parcouvrir sa main</div>
</li>
</ul>
<a name="getCarte-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCarte</h4>
<pre>public&nbsp;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;getCarte(int&nbsp;i)</pre>
<div class="block">Permet d'obtenir une carte dans la main</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>indice</code> - de la carte</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la carte</dd>
</dl>
</li>
</ul>
<a name="getNombreDeCarte--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNombreDeCarte</h4>
<pre>public&nbsp;int&nbsp;getNombreDeCarte()</pre>
<div class="block">Permet d'obtenir le nombre de cartes en main</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="donnerCarte-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>donnerCarte</h4>
<pre>public&nbsp;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;donnerCarte(int&nbsp;indice)</pre>
<div class="block">Permet de donner une carte en l'enlevant de sa main</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>indice</code> - de la carte à retirer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la carte à retirer</dd>
</dl>
</li>
</ul>
<a name="getJeuxEnMain--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJeuxEnMain</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;getJeuxEnMain()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="setJeuxEnMain-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJeuxEnMain</h4>
<pre>public&nbsp;void&nbsp;setJeuxEnMain(java.util.ArrayList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;carteEchange)</pre>
</li>
</ul>
<a name="getCartesEnMain--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCartesEnMain</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;getCartesEnMain()</pre>
</li>
</ul>
<a name="getIterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIterator</h4>
<pre>public&nbsp;java.util.ListIterator&lt;<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;getIterator()</pre>
</li>
</ul>
<a name="creerIterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creerIterator</h4>
<pre>public&nbsp;void&nbsp;creerIterator()</pre>
</li>
</ul>
<a name="getindexcarte-noyau.Carte-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getindexcarte</h4>
<pre>public&nbsp;int&nbsp;getindexcarte(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;c)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Joueur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../noyau/JeuDeCarte.html" title="class in noyau"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../noyau/JoueurArtificiel.html" title="class in noyau"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/Joueur.html" target="_top">Frames</a></li>
<li><a href="Joueur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
